Class | Exception
In: | lib/core/facets/exception/detail.rb lib/core/facets/exception/raised.rb lib/core/facets/exception/suppress.rb
Parent: | Object

### Methods

detail raised? suppress

### Public Class methods

raised?( {|| ...}

Does a block raise an a given `exception`.

suppress(*exception_classes) {|| ...}

Supress errors while executing a block, with execptions.

CREDIT: David Heinemeier Hansson, Thomas Sawyer

### Public Instance methods

detail()

Pretty string output of exception/error object useful for helpful debug messages.

Input: The Exception/StandardError object

Output: The pretty printed string

CREDIT: George Moschovitis

[Validate]